Subject: Re: bug#63436: 30.0.50; Invalid escape character syntax

From: Niels Søndergaard <[email-masked]>
Date: Thu, 11 May 2023 11:16:25 +0200

Thanks,
I deleted yaml from straight/repos.
and Emacs 30.0.50 is running fine now.
So we can close the issue.

med venlig hilsen
Niels

Niels Søndergaard
Address: Mariehøj 236, 2990 Nivå 
Mobile: +45 4052 2789 <tel:+45%204052%202789>
Website: algon.dk <https://algon.dk/>
Email: [email-masked] <mailto:[email-masked]>
 <about:blank#>
 <https://www.linkedin.com/in/nielssoendergaard/>

> Den 11. maj 2023 kl. 10.52 skrev Eli Zaretskii <[email-masked]>:
> 
> [Please use Reply All to reply, so that the bug tracker is CC'ed.]
> 
>> From: Niels Søndergaard <[email-masked]>
>> Date: Thu, 11 May 2023 09:43:10 +0200
>> 
>> With same config (nothing atall is changed, except the emacs, normally I’m running 29.0.90 build 
>> 21G217) this version 30.0.50 is build 22E772610a.
>> 
>> The errors comes in yaml.el every time, but can be from many places, I suspect mostly from org-xxxx
>> where xxxx is either agenda, capture (that is some where in my agenda files, but I have not a clue to
>> what is)
> 
> The master branch is being actively developed, so it could add
> warnings and errors as we decide they should be useful.
> 
>> This is the yaml.el file I have…..
>> It is the same for 29.0.90 and 30.0.50
> 
> Thanks.  I attach the file below, so that it gets recorded in this
> discussion.
> 
> The problem is here:
> 
>    ('ns-esc-8-bit
>     (yaml--frame "ns-esc-8-bit"
>       (yaml--all (yaml--chr ?\x)  <<<<<<<<<<<<<<<<<<<<<
>                  (yaml--rep 2 2
>                    (lambda () (yaml--parse-from-grammar 'ns-hex-digit))))))
> 
> The ?\x escape expects one or more digits after it.  If you mean the
> letter 'x', then you should use ?x, without the escape, I think.
> 
> Adding Mattias, who I think worked on those diagnostics.
> 
> <yaml.el>